Summary:	GNU Source Highlight
Summary(pl.UTF-8):	Podświetlanie składni z projektu GNU
Name:		source-highlight
Version:	3.1.7
Release:	5
License:	GPL v3+
Group:		Applications/Publishing
Source0:	http://ftp.gnu.org/gnu/src-highlite/%{name}-%{version}.tar.gz
# Source0-md5:	0ff81588d3536b4c4e571122ba940595
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/src-highlite/
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.36.0
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program, given a source file, produces a document with syntax
highlighting.

At the moment this package can handle:

- Ada
- Asm (new)
- Applescript (new)
- Awk (new)
- Autoconf files
- Bat (new)
- Bib
- Bison
- C/C++
- C#
- Clipper (new)
- Cobol (new)
- Configuration files (generic)
- Caml
- Changelog
- Css
- D (new)
- Diff
- Erlang (new)
- errors (compiler output) (new)
- Flex
- Fortran
- GLSL
- Haskell
- Haxe
- Html
- ini files
- Java
- Javascript
- KDE desktop files
- Latex
- Ldap files
- Logtalk
- Log files
- lsm files (Linux Software Map)
- Lua
- Makefile
- Manifest (new)
- M4
- ML
- Oz
- Pascal
- Perl
- pkg-config files
- PHP
- Postscript
- Prolog
- Properties files
- Python
- RPM Spec files
- Ruby
- Scala
- Shell
- S-Lang
- Sql
- Tcl
- Texinfo
- VBscript (new)
- XML
- XOrg conf files

as source languages, and

- HTML
- XHTML
- ANSI color escape sequences
- LaTeX
- Texinfo
- DocBook


as output formats.

%description -l pl.UTF-8
Ten program z pliku źródłowego tworzy dokument z podświetloną
składnią.

Aktualnie obsługiwane języki źródłowe to:

- Ada
- Asm (nowość)
- Applescript (nowość)
- Awk (nowość)
- Autoconf files
- Bat (nowość)
- Bib
- Bison
- C/C++
- C#
- Clipper (nowość)
- Cobol (nowość)
- Configuration files (generic)
- Caml
- Changelog
- Css
- D (nowość)
- Diff
- Erlang (nowość)
- errors (compiler output) (nowość)
- Flex
- Fortran
- GLSL
- Haskell
- Haxe
- Html
- ini files
- Java
- Javascript
- KDE desktop files
- Latex
- Ldap files
- Logtalk
- Log files
- lsm files (Linux Software Map)
- Lua
- Makefile
- Manifest (nowość)
- M4
- ML
- Oz
- Pascal
- Perl
- pkg-config files
- PHP
- Postscript
- Prolog
- Properties files
- Python
- RPM Spec files
- Ruby
- Scala
- Shell
- S-Lang
- Sql
- Tcl
- Texinfo
- VBscript (nowość)
- XML
- XOrg conf files

a wynikiem może być:

- HTML
- XHTML
- ANSI color escape sequences
- LaTeX
- Texinfo
- DocBook

%package libs
Summary:	Source highlight library
Summary(pl.UTF-8):	Biblioteka podświetlania składni
Group:		Libraries

%description libs
Source highlight library.

%description libs -l pl.UTF-8
Biblioteka podświetlania składni.

%package devel
Summary:	Header file for srchlite library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki srchlite
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	boost-devel >= 1.36.0
Requires:	libstdc++-devel

%description devel
Header file for srchlite library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki srchlite.

%package static
Summary:	Static source-highlight library
Summary(pl.UTF-8):	Statyczna biblioteka source-highlight
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Statoic source highlight library.

%description static -l pl.UTF-8
Statyczna biblioteka podświetlania składni.

%package -n bash-completion-source-highlight
Summary:	bash-completion for source-higlight
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla pakietu source-highlight
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-source-highlight
This package provides bash-completion for source-highlight.

%description -n bash-completion-source-highlight -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla pakiet
source-highlight.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--with-boost-libdir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf docdir-%{name}-%{version}
%{__mv} -f $RPM_BUILD_ROOT%{_docdir}/%{name} docdir-%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsource-highlight.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO.txt doc/{*.css,*.html,*.java}
%doc docdir-%{name}-%{version}/*
%attr(755,root,root) %{_bindir}/check-regexp
%attr(755,root,root) %{_bindir}/cpp2html
%attr(755,root,root) %{_bindir}/java2html
%attr(755,root,root) %{_bindir}/source-highlight
%attr(755,root,root) %{_bindir}/source-highlight-esc.sh
%attr(755,root,root) %{_bindir}/source-highlight-settings
%attr(755,root,root) %{_bindir}/src-hilite-lesspipe.sh
%{_mandir}/man1/check-regexp.1*
%{_mandir}/man1/source-highlight.1*
%{_mandir}/man1/source-highlight-settings.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_infodir}/source-highlight.info*
%{_infodir}/source-highlight-lib.info*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsource-highlight.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsource-highlight.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsource-highlight.so
%{_includedir}/srchilite
%{_pkgconfigdir}/source-highlight.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsource-highlight.a

%files -n bash-completion-source-highlight
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/source-highlight
%changelog
* Fri Nov 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/source-highlight.git;a=log;h=master

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5022ad1
- release 5 (by relup.sh)

* Tue Jul 09 2013 Jan Rękorajski <baggins@pld-linux.org> 2353fd2
- fix for texinfo 5.1
- install docs properly
- rel 4

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cbd8c7e
- release 3 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 0fb0315
- Rebuild with boost 1.50
Release 2

* Sun Jul 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> 091814d
- updated to 3.1.7
- dropped *.la file

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 02aa5bb
- release 2

* Tue Jan 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 88a857b
- added devel deps

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 8cc44e3
- updated to 3.1.6

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> bbdd359
- updated to 3.1.5

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> be00927
- release 4 (rebuild with new boost)

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 5b55e40
- rel 3

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> a988e55
- rel 2

* Mon Jun 14 2010 Jakub Bogusz <qboosh@pld-linux.org> d031e35
- updated to 3.1.4

* Wed May 12 2010 sparky <sparky@pld-linux.org> 09d1399
- dropped unused BR: bison

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> bb91eff
- release 4 (rebuild with boost-1.42.0)

* Mon Mar 08 2010 hawk <hawk@pld-linux.org> 52ce8e3
- release 3

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 3c32c45
- fixed deps: -devel requires -libs, -static requires -devel
- more verbose files
- release 2

* Wed Dec 30 2009 Adam Gołębiowski <adamg@pld-linux.org> cc502cb
- no longer needed

* Wed Dec 30 2009 Adam Gołębiowski <adamg@pld-linux.org> 0e59593
- updated to 3.1.2
- language list synced with 3.1.2 announce
- libs,-devel and -static subpackages
- am patch no longer needed

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> 2a4d3b2
- release 4

